SuSE 11.2 / 11.3 Security Update : squid (SAT Patch Numbers 8309 / 8310)

High Nessus Plugin ID 70021


The remote SuSE 11 host is missing a security update.


This squid update fixes a buffer overflow issue when squid attempts to resolve an overly long hostname. This can be triggered with specially crafted http requests. (bnc#829084, CVE-2013-4115)

This update also includes a correction to the last change for logrotate. (bnc#677335)


Apply SAT patch number 8309 / 8310 as appropriate.

See Also

Plugin Details

Severity: High

ID: 70021

File Name: suse_11_squid-130909.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2013/09/20

Modified: 2013/10/25

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:squid, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2013/09/09

Reference Information

CVE: CVE-2013-4115